Bug 446991

Summary: Calander popup in clock widget unusable on breeze light
Product: plasmashell Reporter: Shane Whitmire <dogunbound5>
Component: Digital ClockAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: nate, niccolo.venerandi, noahadvs, plasma-bugs
Priority: NOR    
Version: 5.23.3   
Target Milestone: 1.0   
Platform: Archlinux Packages   
OS: Linux   
Latest Commit: Version Fixed In: 5.23.5

Description Shane Whitmire 2021-12-14 20:07:40 UTC
[url]https://imgur.com/gallery/vScsErk[/url]

The calendar popup in the default standalone clock widget is unusable with breeze light / breeze theme. This is due to the text color being white on top of a whitish background. The characters are near impossible to read

Suggestion: make the standalone clock widget calendar popup text black.

Funnily enough, I thought the problem was due to me using a lighter background theme as highlighted here [url]https://forum.kde.org/viewtopic.php?f=19&t=173509[/url] causing the transparency mode to mess up, but that was not exactly the case. With lighter backgrounds, it amplifies this problem to the point where some of the text is literally unreadable. 

I tested the calendar with a darker background and found out that it was still difficult to fix, but better.
Comment 1 Shane Whitmire 2021-12-14 20:09:38 UTC
Ok, so the [url][/url] aren't tags you are supposed to use here. Only on the forums. That is confusing as hell. 

Imgur link: https://imgur.com/gallery/vScsErk

Forum link: https://forum.kde.org/viewtopic.php?f=19&t=173509
Comment 2 Nate Graham 2021-12-15 17:31:09 UTC
Cannot reproduce with Breeze Light color scheme and Breeze Plasma theme (Not Breeze Light or Breeze Dark). What Plasma theme are you using?
Comment 3 Shane Whitmire 2021-12-15 21:07:10 UTC
https://imgur.com/gallery/VVCnW4g

Quick Setting: Light theme

Appearance:
Global Theme: Breeze
Application Style: Breeze
Plasma Style: Breeze Light
Colors: Breeze Light
Window Decoration: Breeze

Everything else shouldn't mess with it.
Comment 4 Shane Whitmire 2021-12-15 21:15:39 UTC
I've experimented with:

 Plasma style: Breeze normal (Follows color scheme), and it still has the same behavior.
Color: Breeze (normal), still the same behavior.

I even have the same behavior with plasma style air!!!

Maybe this problem is with something else???
Comment 5 Shane Whitmire 2021-12-15 21:17:41 UTC
The reason why I think it is a theme problem is because it works well in dark theme:
https://imgur.com/gallery/SKxQQ5g
Comment 6 Nate Graham 2021-12-16 18:54:17 UTC
This is very strange.

Can you try setting your color scheme to something else, and then back to Breeze Light?
Comment 7 Shane Whitmire 2021-12-17 18:20:55 UTC
The color schemes do no affect the clock widget.

Also to note, I have sweet Mars and sweet normal installed and they also have similar issues with the calendar widget. 

https://imgur.com/a/zPpbRfa

I did try changing everything around with no avail.
Comment 8 Nate Graham 2021-12-17 18:30:04 UTC
> The color schemes do no affect the clock widget.
That means you're using a Plasma theme that does not respect the active color scheme.

Can you try again with the *Breeze* Plasma style? Not Breeze Light or Breeze Dark. Only *Breeze*. Then while the Breeze Plasma theme is active, try resetting the color scheme to something else and then back to Breeze Light.
Comment 9 Shane Whitmire 2021-12-17 18:36:44 UTC
https://imgur.com/a/Q6tiPMO


Hmmm. That didn't change anything either. I generally use the breeze theme whenever possible. I only use breeze light rn for color because regular breeze causes the top of windows to become dark.
Comment 10 Nate Graham 2021-12-17 18:42:12 UTC
Can you paste the output of 

grep 'Colors:Window' -A 13 ~/.config/kdeglobals
Comment 11 Shane Whitmire 2021-12-17 18:45:22 UTC
[dogunbound@dogArch ~]$ 
grep 'Colors:Window' -A 13 ~/.config/kdeglobals
[Colors:Window]
BackgroundAlternate=227,229,231
BackgroundNormal=239,240,241
DecorationFocus=61,174,233
DecorationHover=61,174,233
ForegroundActive=61,174,233
ForegroundInactive=112,125,138
ForegroundLink=41,128,185
ForegroundNegative=218,68,83
ForegroundNeutral=246,116,0
ForegroundNormal=35,38,41
ForegroundPositive=39,174,96
ForegroundVisited=155,89,182

[dogunbound@dogArch ~]$
Comment 12 Nate Graham 2021-12-17 18:47:57 UTC
Well color me confused beyond my level of knowledge, then. :/

Noah or Niccolo, any ideas?
Comment 13 Shane Whitmire 2021-12-17 18:49:44 UTC
I am using arch. Any packages I should install?
Comment 14 Noah Davis 2021-12-17 21:16:01 UTC
I have a theory that something is changing the color scope or directly setting the color of PlasmaCore.Theme.textColor, but I don't know what. There's nothing in the code of the calendar module in plasma-framework or the code of the digital clock widget.
Comment 16 Bug Janitor Service 2021-12-24 13:31:17 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1306
Comment 17 Noah Davis 2021-12-24 18:01:12 UTC
Git commit df55858321906091252d87c02a5e35d379a10056 by Noah Davis.
Committed on 24/12/2021 at 13:30.
Pushed by ngraham into branch 'master'.

digital-clock: fix calendar popup contrast when opened from desktop

M  +3    -0    applets/digital-clock/package/contents/ui/CalendarView.qml

https://invent.kde.org/plasma/plasma-workspace/commit/df55858321906091252d87c02a5e35d379a10056
Comment 18 Nate Graham 2021-12-24 18:03:33 UTC
Git commit aaf9d475fd39fddb7671b33dca6b1a8ed74e2c06 by Nate Graham, on behalf of Noah Davis.
Committed on 24/12/2021 at 18:03.
Pushed by ngraham into branch 'Plasma/5.23'.

digital-clock: fix calendar popup contrast when opened from desktop


(cherry picked from commit df55858321906091252d87c02a5e35d379a10056)

M  +3    -0    applets/digital-clock/package/contents/ui/CalendarView.qml

https://invent.kde.org/plasma/plasma-workspace/commit/aaf9d475fd39fddb7671b33dca6b1a8ed74e2c06